package com.sino.rrs.business;

import java.util.List;
import java.util.Map;

import com.sino.rrs.entity.DeleteOrderMessage;
import com.sino.weixin.oauth.util.Constants;

/**
 * 系统取消订单线程池
 * @author Administrator
 *
 */
public class CancelOrderMessageDispatch implements Runnable{
	
	private static DeleteOrderMessage deleteOrderMessage=new DeleteOrderMessage();
	public List<Map<String,String>> companyList;
	public String orderCode;
	public String supplyRemark;
	
	public CancelOrderMessageDispatch(List<Map<String,String>> list,String orderCode,String supplyRemark){
		this.companyList=list;
		this.orderCode=orderCode;
		this.supplyRemark=supplyRemark;
	}
	
	@Override
	public void run() {
		for(Map<String,String> map:companyList){
			deleteOrderMessage.delete_template_message(Constants.AppId, Constants.AppSecret, map.get("open_id"), orderCode, supplyRemark);
		}
	}

}
